curl --request GET \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"region_code": "us-east-1",
"service_type": "TIMESCALEDB",
"created": "2023-11-07T05:31:56Z",
"initial_password": "a-very-secure-initial-password",
"paused": true,
"status": "QUEUED",
"resources": [
{
"id": "<string>",
"spec": {
"cpu_millis": 123,
"memory_gbs": 123,
"volume_type": "<string>"
}
}
],
"metadata": {
"environment": "<string>"
},
"endpoint": {
"host": "my-service.com",
"port": 8080
},
"vpcEndpoint": {},
"forked_from": {
"project_id": "asda1b2c3",
"service_id": "bbss422fg",
"is_standby": false
},
"ha_replicas": {
"sync_replica_count": 1,
"replica_count": 1
},
"connection_pooler": {
"endpoint": {
"host": "my-service.com",
"port": 8080
}
},
"read_replica_sets": [
{
"id": "alb8jicdpr",
"name": "reporting-replica-1",
"status": "active",
"nodes": 2,
"cpu_millis": 250,
"memory_gbs": 1,
"metadata": {
"environment": "<string>"
},
"endpoint": {
"host": "my-service.com",
"port": 8080
},
"connection_pooler": {
"endpoint": {
"host": "my-service.com",
"port": 8080
}
}
}
]
}{
"code": "<string>",
"message": "<string>"
}Get a Service
Retrieves the details of a specific service by its ID.
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
"rp1pz7uyae"
The unique identifier of the service.
"d1k5vk7hf2"
Response
Service details.
The unique identifier for the service.
The project this service belongs to.
The name of the service.
The cloud region where the service is hosted.
"us-east-1"
The type of the service.
TIMESCALEDB, POSTGRES, VECTOR Creation timestamp
The initial password for the service.
"a-very-secure-initial-password"
Whether the service is paused
Current status of the service
QUEUED, DELETING, CONFIGURING, READY, DELETED, UNSTABLE, PAUSING, PAUSED, RESUMING, UPGRADING, OPTIMIZING List of resources allocated to the service
Show child attributes
Show child attributes
Additional metadata for the service
Show child attributes
Show child attributes
Show child attributes
Show child attributes
VPC endpoint configuration if available
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes